cURL
curl --request PATCH \ --url https://openagents.com/api/settings/profile \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Christopher David" } '
{ "data": { "avatar": "<string>", "createdAt": "2023-11-07T05:31:56Z", "email": "<string>", "id": 123, "name": "<string>", "updatedAt": "2023-11-07T05:31:56Z" } }
Currently supports name updates.
name
Documentation IndexFetch the complete documentation index at: https://docs.openagents.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.openagents.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Update profile fields
"Christopher David"
Authenticated user profile
Show child attributes